
void logthis(int priority, char *buf) {

/*
   Priority is 1-4, with 1 being the highest priority.
   1 - CRITICAL ERRORS
   2 - ERRORS
   3 - WARNINGS
   4 - DEBUG INFORMATION
*/

#ifdef LOGLEVEL

  int tplev=0;

  if (priority==1) tplev=LOG_CRIT;
  if (priority==2) tplev=LOG_ERR;
  if (priority==3) tplev=LOG_WARNING;
  if (priority==4) tplev=LOG_WARNING; /* LOG_DEBUG Doesn't show up in
                                         /var/messages by default, so... */

  if (priority<=LOGLEVEL) syslog(tplev, "%s", buf);

#endif

}
